classification
Title: Tools/i18n/msgfmt.py fixes for Python 3.0
Type: behavior Stage:
Components: Demos and Tools Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: loewis Nosy List: loewis, nnorwitz, scav
Priority: normal Keywords: patch

Created on 2008-01-16 10:48 by scav, last changed 2008-09-09 16:01 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
msgfmt.diff scav, 2008-01-16 10:48 Patch for msgfmt.py
Messages (4)
msg59994 - (view) Author: Peter Harris (scav) Date: 2008-01-16 10:48
Python 3.0:  Use bytes instead of str to construct the binary file,
don't try to .sort a dict's keys().

This patch is a tentative fix - in one place I've had to provide an
encoding from str to bytes and I've guessed UTF-8, which may be OK for
most .po files, but possibly not all.
msg71895 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2008-08-24 22:23
Is this still a problem?
msg72022 - (view) Author: Peter Harris (scav) Date: 2008-08-27 12:25
As far as I can tell, it is OK now.  Thanks!
msg72878 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-09 16:01
Closing it as fixed then.
History
Date User Action Args
2008-09-09 16:01:48loewissetstatus: open -> closed
resolution: fixed
messages: + msg72878
2008-08-27 12:25:36scavsetmessages: + msg72022
2008-08-24 22:23:50nnorwitzsetnosy: + nnorwitz
type: crash -> behavior
messages: + msg71895
2008-01-16 15:06:09gvanrossumsetpriority: normal
assignee: loewis
keywords: + patch
nosy: + loewis
2008-01-16 10:48:21scavcreate